Skip to main content
GET
/
styles
List Styles
curl --request GET \
  --url https://api.example.com/styles
[
  {
    "id": "<string>",
    "documentId": "<string>",
    "name": "<string>",
    "refId": "<string>",
    "clientId": "<string>",
    "clientName": "<string>",
    "priceCategory": "<string>",
    "country": "<string>",
    "estCompletionTime": "<string>",
    "picture": "<string>",
    "description": "<string>",
    "colors": [
      "<string>"
    ],
    "sizes": [
      "<string>"
    ],
    "skus": [
      {
        "id": "<string>",
        "documentId": "<string>",
        "color": "<string>",
        "size": "<string>",
        "qrData": "<string>",
        "isKittedBundle": false,
        "kittedBundle": [
          {}
        ]
      }
    ],
    "skuCount": 0,
    "createdAt": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Org-Id
string | null

Query Parameters

q
string | null
clientId
string | null

Response

Successful Response

id
string
required
documentId
string | null
name
string | null
refId
string | null
clientId
string | null
clientName
string | null
priceCategory
string | null
country
string | null
estCompletionTime
string | null
picture
string | null
description
string | null
colors
string[]
sizes
string[]
skus
StyleSKUResponse · object[]
skuCount
integer
default:0
createdAt
string | null